#pragma once
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

class SmartDisplay {
    public:
        SmartDisplay(Adafruit_SSD1306 *display);
        void printTeaConfigScreen(String teaName, int steepingSeconds, int editDir);
        void printAddNewTeaScreen();
        void printTeaSteepingProgressScreen(String teaName, int steepingSeconds);
        void printWaitForRFIDScreen();
    private:
        Adafruit_SSD1306 *m_display;
};